/* Google Fonts import */
@import url("https://fonts.googleapis.com/css2?family=Bungee&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap");

/* CSS Variables */
:root {
  --primary-font: "Open Sans", sans-serif;
  --secondary-font: "Bungee", cursive;
  --primary-color: #151c4a;
  --secondary-color: #0069b0;
  --contrast-color: #f88839;
  --secondary-contrast-color: #ffb000;
  --text-color: #ffd880;
}

/* CSS Basics */
* {
  background-color: var(--primary-color);
  font-family: var(--primary-font);
  color: var(--text-color);
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  text-align: center;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  background-color: var(--primary-color);
  font-family: var(--primary-font);
  color: var(--text-color);
}

header {
  display: flex;
  flex-direction: column;
  background-color: var(--contrast-color);
  width: 100%;
  margin-bottom: 40px;
}

h2 {
  font-size: 2rem;
  font-weight: 300;
  margin-bottom: 40px;
}

p {
  font-weight: 300;
}

a {
  text-decoration: none;
}

/* CSS homepage*/
/* Hero section */
#hero {
  display: flex;
  flex-direction: row;
  width: 100%;
  background-color: var(--contrast-color);
}

#hero img {
  display: flex;
  flex-direction: column;
  width: 100%;
  background-color: var(--contrast-color);
  align-items: flex-start;
}

#hero .title {
  display: flex;
  flex-direction: column;
  font-family: var(--secondary-font);
  color: var(--primary-color);
  text-shadow: 2px 2px var(--secondary-color);
  background-color: var(--contrast-color);
  align-items: center;
  justify-content: center;
  width: 100%;
  font-size: 2.3rem;
}

/* Main section player name */
.intro {
  font-weight: 300;
  margin-bottom: 30px;
}

.intro-text {
  padding: 0 2rem;
}

.enter-name {
  display: flex;
  flex-direction: column;
  padding: 0.5rem;
  margin-bottom: 50px;
  align-items: center;
}

.label-name {
  display: flex;
  flex-direction: row;
  height: auto;
  font-size: 150%;
  padding: inherit;
}

.input-name {
  width: 90%;
  display: flex;
  flex-direction: row;
  padding: 1%;
  background-color: var(--secondary-color);
  color: var(--text-color);
  font-family: var(--primary-font);
  text-align: center;
  border-radius: 5%;
  font-size: larger;
}

#confirm {
  display: flex;
  flex-direction: row;
  padding: 0.5rem;
  margin-top: 1rem;
  width: 80%;
  font-weight: 200;
  text-transform: lowercase;
  justify-content: center;
  letter-spacing: 2px;
  font-size: 0.9rem;
}

#display-name {
  margin: 5rem 0 0;
  padding: 0.5rem 2rem;
  letter-spacing: 2px;
  text-transform: uppercase;
  font-weight: 500;
  font-size: 1.5rem;
}

/* Main section play button */
.btn-start {
  padding: 10px 25px;
  text-align: center;
  background-color: var(--contrast-color);
  color: var(--primary-color);
  font-size: 16px;
  font-family: var(--primary-font);
  font-weight: bold;
  border: 8px solid var(--secondary-contrast-color);
  margin-bottom: 45px;
  box-shadow: 2px 4px var(--contrast-color);
  border-radius: 5%;
  text-transform: uppercase;
}

.btn-start:hover {
  color: var(--text-color);
  background-color: var(--primary-color);
}

/* Footer section */
footer {
  margin-top: auto;
  background-color: var(--contrast-color);
  color: var(--primary-color);
}

footer p {
  background-color: var(--contrast-color);
  color: var(--primary-color);
  font-size: small;
  margin: 0;
}

footer .policy {
  text-decoration: none;
  background-color: var(--contrast-color);
  color: var(--primary-color);
}

/* Quiz page */
#questions-area {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-size: 0.7rem;
  padding: 0.5rem;
}

.header-questionpage {
  font-size: inherit;
  font-weight: lighter;
}

#questions {
  font-size: 1.5rem;
  padding-bottom: 1rem;
}

#image-area {
  display: block;
  margin-bottom: 1rem;
}

#image-area img {
  border: var(--contrast-color) 5px solid;
  max-width: 80%;
  background-color: var(--contrast-color);
}

#answer-area {
  display: flex;
  flex-direction: column;
  margin: 1rem;
  width: 80%;
  justify-content: center;
  align-items: center;
}

/* Quiz page answer buttons */
.button-answer {
  display: flex;
  flex-direction: column;
  padding: 1rem;
  margin: 0.5rem 0 0;
  text-decoration: none;
  width: 90%;
}

.button-answer:hover {
  cursor: pointer;
  transition: transform 30ms;
  transform: scale(1.04);
}

.button-answer:active {
  transition: ease-in 3s;
  padding: 1rem;
  margin: 0.5rem;
}

.button-answer[disabled] {
  cursor: not-allowed;
  box-shadow: none;
  transition: none;
  transform: initial;
  background-color: inherit;
}

.correct {
  background-color: #176439;  
}

.incorrect {
  background-color: #A22C2C;
  }

/* CSS Result Modal */
/* The Modal (background) */
.modal {
  display: none;
  position: fixed;
  z-index: 1; 
  padding-top: 100px; 
  left: 0;
  top: 0;
  width: 100%; 
  height: 100%; 
  overflow: auto; 
  background-color: rgb(0, 0, 0); 
  background-color: rgba(0, 0, 0, 0.4); 
}

/* Modal Content */
.modal-content {
  position: relative;
  background-color: var(--primary-color);
  margin: auto;
  padding: 0;
  border: 1px solid #888;
  width: 80%;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  -webkit-animation-name: animatetop;
  -webkit-animation-duration: 0.4s;
  animation-name: animatetop;
  animation-duration: 0.4s;
}

/* Add Animation */
@-webkit-keyframes animatetop {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}

@keyframes animatetop {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}

/* The Close Button */
.close {
  color: var(--secondary-color);
  float: right;
  font-size: 28px;
  font-weight: bold;
  background-color: var(--contrast-color);
  padding: 4px
}

.close:hover,
.close:focus {
  color: var(--primary-color);
  text-decoration: none;
  cursor: pointer;
}

.modal-header {
  background-color: var(--primary-color);
  color: var(--contrast-color);
}

.modal-header .title {
  font-family: var(--secondary-font);
  color: var(--primary-color);
  text-shadow: 2px 2px var(--secondary-color);
  background-color: var(--contrast-color);
  align-items: center;
  justify-content: center;
  width: 100%;
  font-size: 2.3rem;
}

.modal-body {
  background-color: var(--primary-color);
  padding: 2px 10px;
  display: block;
  margin: 2rem 2rem;
  letter-spacing: 2px;
  text-transform: uppercase;
  font-size: x-large;
  border: 1px solid var(--contrast-color);
  padding: 2rem;
  text-align: center;
}

.modal-footer {
  padding: 2px 10px;
  background-color: var(--primary-color);
}

#score-display {
  display: block;
  margin: 2rem 2rem;
  letter-spacing: 2px;
  text-transform: uppercase;
  font-size: x-large;
  border: 1px solid var(--contrast-color);
  padding: 2rem;
  text-align: center;
}

#score-display p {
  font-weight: 400;
}

/* CSS 404 */
.oops {
  margin: 2.5rem;
  font-size: 5rem;
}

#oops {
  font-weight: 500;
  font-size: 2.5rem;
}

#button-return {
  margin: 4rem 0 10rem;
}

.button-class {
  background-color: var(--contrast-color);
  border: 8px solid var(--secondary-contrast-color);
  color: var(--primary-color);
  display: inline-block;
  cursor: pointer;
  border-radius: 5%;
}

/* responsive CSS */

@media only screen and (min-width: 600px) {
  h2 {
    margin: 15px;
  }
  #hero .title {
    font-size: 3rem;
  }
  #confirm {
    padding: 0.5rem;
    width: 40%;
    font-weight: 200;
  }
  #image-area {
    max-height: 300px;
  }
}

@media only screen and (min-width: 768px) {
  .input-name {
    width: 50%;
  }
  #hero .quizpage {
    display: none;
  }
  .button-answer {
    width: 75%;
  }
  .modal-header {
    width:95%;
  }
}

@media only screen and (min-width: 1024px) {
  #hero .title {
    font-size: 3.8rem;
  }
  .intro-text {
    font-weight: inherit;
  }
  .input-name {
    width: 45%;
  }
  #confirm {
    width: 30%;
  }
  .button-answer {
    width: 50%;
  }
  .modal-content {
    width: 70%;
  }
}

@media only screen and (min-width: 1280px) {
  .input-name {
    width: 30%;
  }
  #confirm {
    width: 25%;
  }
  .button-answer {
    width: 30%;
  }
  .modal-content {
    width: 60%;
  }
}
